﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Universidade {
    public abstract class Pessoa : IComparable {
        private string nome;
        public string NOME {
            get {
                return nome;
            }
            set {
                nome = value;
            }
        }
        private DateTime nasc;
        public DateTime NASC {
            get {
                return nasc;
            }
            set {
                nasc = value;
            }
        }

        public virtual void leitura(StreamReader leitor) {
            string s;
            string[] partes;
            char[] delimiters = { ' ', '/' };

            nome = leitor.ReadLine();
            
            s = leitor.ReadLine();
            partes = s.Split(delimiters);
            nasc = new DateTime(int.Parse(partes[2]), int.Parse(partes[1]), int.Parse(partes[0]));
        }

        public virtual void imprime(StreamWriter saida) {
            saida.WriteLine("Nome: " + nome);
            saida.WriteLine("Nascimento: " + nasc);
        }

        public virtual int CompareTo(object obj){

            throw new NotImplementedException();
        }
    }
}
