﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Universidade {
    class Aluno : Universitario{
        private float cr;
        public float CR {
            get {
                return cr;
            }
            set {
                cr = value;
            }
        }

        public override void leitura(StreamReader leitor) {
            base.leitura(leitor);
            string s;
            s = leitor.ReadLine();
            cr = float.Parse(s, CultureInfo.InvariantCulture.NumberFormat);
        }

        public override void imprime(StreamWriter saida) {
            base.imprime(saida);
            saida.WriteLine("CR: " + cr);
            saida.WriteLine();
        }

        public override int CompareTo(object a) {
            if (a == null) return 1;

            Aluno otherAluno = a as Aluno;
            if (otherAluno != null)
                return otherAluno.cr.CompareTo(this.cr);
            else
                throw new ArgumentException("Object is not a Aluno");
        }
    }
}
