﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Universidade
{
    class Professor : Universitario {
        private float salario;
        public float SALARIO {
            get {
                return salario;
            }
            set {
                salario = value;
            }
        }

        public override void leitura(StreamReader leitor) {
            base.leitura(leitor);
            string s;
            
            s = leitor.ReadLine();
            salario = float.Parse(s, CultureInfo.InvariantCulture.NumberFormat);
        }

        public override void imprime(StreamWriter saida) {
            base.imprime(saida);
            saida.WriteLine("Salário: " + salario);
            saida.WriteLine();
        }

        public override int CompareTo(object p){
            if (p == null) return 1;

            Professor otherProfessor = p as Professor;
            if (otherProfessor != null)
                return otherProfessor.salario.CompareTo(this.salario);
            else
                throw new ArgumentException("Object is not a Aluno");
        }
    }
}
