﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Universidade {
    public abstract class Universitario : Pessoa {
        private int matricula;
        public int MATRICULA {
            get {
                return matricula;
            }
            set {
                matricula = value;
            }
        }
        private DateTime ingresso;
        public DateTime INGRESSO {
            get {
                return ingresso;
            }
            set {
                ingresso = value;
            }
        }

        public override void leitura(StreamReader leitor) {
            base.leitura(leitor);

            string s;
            string[] partes;
            char[] delimiters = { ' ', '/' };
            
            s = leitor.ReadLine();
            matricula = int.Parse(s);

            s = leitor.ReadLine();
            partes = s.Split(delimiters);
            ingresso = new DateTime(int.Parse(partes[2]), int.Parse(partes[1]), int.Parse(partes[0]));
        }

        public override void imprime(StreamWriter saida) {
            base.imprime(saida);
            saida.WriteLine("Matricula: " + matricula);
            saida.WriteLine("Ingresso: " + ingresso);
        }
    }
}
